## ros-noetic-rwt-nav 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rwt_nav)

find_package(catkin REQUIRED COMPONENTS
  rosbridge_server
  roswww
  rwt_utils_3rdparty
  geometry_msgs
  roscpp
  tf
)

catkin_package(
  CATKIN_DEPENDS rosbridge_server roswww rwt_utils_3rdparty
)

## Specify additional locations of header files
include_directories(
  ${catkin_INCLUDE_DIRS}
)

## copy robot_pose_publihser.cpp from https://github.com/GT-RAIL/robot_pose_publisher/
## Declare a cpp executable
add_executable(robot_pose_publisher src/robot_pose_publisher.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(robot_pose_publisher
  ${catkin_LIBRARIES}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY www/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/www
)

# Mark executables and/or libraries for installation
install(TARGETS robot_pose_publisher
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roslaunch rostest)

  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()

  add_rostest(test/test_rwt_nav.test)
endif()

## ros-noetic-rwt-nav 0.1.1

=== debian/changelog ===
ros-noetic-rwt-nav (0.1.1-2buster) buster; urgency=high



 -- Yug Ajmera <yugajmera@gmail.com>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-rwt-nav (0.1.0-2buster) buster; urgency=high

  * use websocket_port 9090 as defaut (#112 <https://github.com/tork-a/visualization_rwt/issues/112>)
  * add test for rwt tools (#110 <https://github.com/tork-a/visualization_rwt/issues/110>)
  * Contributors: Kei Okada

 -- Yug Ajmera <yugajmera@gmail.com>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-rwt-nav (0.0.5-2buster) buster; urgency=high



 -- Yug Ajmera <yugajmera@gmail.com>  Thu, 11 Mar 2021 15:00:00 -0000

ros-noetic-rwt-nav (0.0.4-2buster) buster; urgency=high

  * add rwt_nav package (#96 <https://github.com/tork-a/visualization_rwt//issues/96>)
  * Contributors: Kei Okada, Shingo Kitagawa, Yug Ajmera

 -- Yug Ajmera <yugajmera@gmail.com>  Mon, 08 Mar 2021 15:00:00 -0000

ros-noetic-rwt-nav (0.0.3-2buster) buster; urgency=high



 -- Yug Ajmera <yugajmera@gmail.com>  Sat, 01 Oct 2016 06:52:00 -0000

ros-noetic-rwt-nav (0.0.2-2buster) buster; urgency=high



 -- Yug Ajmera <yugajmera@gmail.com>  Sat, 01 Oct 2016 06:20:00 -0000

=== debian/control ===
Source: ros-noetic-rwt-nav
Section: misc
Priority: optional
Maintainer: Yug Ajmera <yugajmera@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-image-publisher, ros-noetic-map-server, ros-noetic-move-base-msgs, ros-noetic-rosbridge-server, ros-noetic-roscpp, ros-noetic-rostest, ros-noetic-roswww, ros-noetic-rviz, ros-noetic-rwt-utils-3rdparty, ros-noetic-tf, ros-noetic-web-video-server
Homepage: http://wiki.ros.org/rwt_nav
Standards-Version: 3.9.2

Package: ros-noetic-rwt-nav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-rosbridge-server, ros-noetic-roscpp, ros-noetic-roswww, ros-noetic-rwt-utils-3rdparty, ros-noetic-tf, ros-noetic-web-video-server
Description: The rwt_nav package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rwt-nav//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rwt-nav 0.1.3

=== debian/changelog ===
ros-noetic-rwt-nav (0.1.3-1focal) focal; urgency=high

  * add missing test_depends (#131 <https://github.com/tork-a/visualization_rwt//issues/131>)
    fixes https://build.ros.org/job/Nbin_uF64__rwt_app_chooser__ubuntu_focal_amd64__binary/1/console
    ```
    13:43:55 -- Using Python nosetests: /usr/bin/nosetests3
    13:43:55 -- catkin 0.8.10
    13:43:55 -- BUILD_SHARED_LIBS is on
    13:43:55 -- Could NOT find roslaunch (missing: roslaunch_DIR)
    13:43:55 -- Could not find the required component 'roslaunch'. The following CMake error indicates that you either need to install the package with the same name or change your environment so that it can be found.
    13:43:55 CMake Error at /opt/ros/noetic/share/catkin/cmake/catkinConfig.cmake:83 (find_package):
    13:43:55   Could not find a package configuration file provided by "roslaunch" with
    13:43:55   any of the following names:
    13:43:55
    13:43:55     roslaunchConfig.cmake
    13:43:55     roslaunch-config.cmake
    13:43:55
    13:43:55   Add the installation prefix of "roslaunch" to CMAKE_PREFIX_PATH or set
    13:43:55   "roslaunch_DIR" to a directory containing one of the above files.  If
    13:43:55   "roslaunch" provides a separate development package or SDK, be sure it has
    13:43:55   been installed.
    13:43:55 Call Stack (most recent call first):
    13:43:55   CMakeLists.txt:13 (find_package)
    13:43:55
    13:43:55
    13:43:55 -- Configuring incomplete, errors occurred!
    13:43:55 See also "/tmp/binarydeb/ros-noetic-rwt-app-chooser-0.1
    ```
  * Contributors: Kei Okada

 -- Yug Ajmera <yugajmera@gmail.com>  Wed, 31 May 2023 15:00:00 -0000

ros-noetic-rwt-nav (0.1.2-1focal) focal; urgency=high

  * fix for noetic (#130 <https://github.com/tork-a/visualization_rwt//issues/130>)
    
      * fix test code for selenium version >= 4.3.0
    
  * move_base/goal requires frame_id, without starting '/' (#119 <https://github.com/tork-a/visualization_rwt//issues/119>)
    
      * Warning: Invalid argument /map passed to canTransform argument source_frame in tf2 frame_ids cannot start with a '/' like:
        at line 134 in /tmp/binarydeb/ros-melodic-tf2-0.6.5/src/buffer_core.cpp
        [ WARN] [1645522151.660224428, 19134.759000000]: Failed to transform the goal pose from /map into the map frame: Invalid argument /map passed to lookupTransform argument source_frame in tf2 frame_ids cannot start with a '/' like:
        [ERROR] [1645522151.660344650, 19134.759000000]: The goal pose passed to this planner must be in the map frame.  It is instead in the /map frame.
        Closes #118 <https://github.com/tork-a/visualization_rwt//issues/118>
    
  * Contributors: Kei Okada

 -- Yug Ajmera <yugajmera@gmail.com>  Mon, 29 May 2023 15:00:00 -0000

ros-noetic-rwt-nav (0.1.1-1focal) focal; urgency=high



 -- Yug Ajmera <yugajmera@gmail.com>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-rwt-nav (0.1.0-1focal) focal; urgency=high

  * use websocket_port 9090 as defaut (#112 <https://github.com/tork-a/visualization_rwt/issues/112>)
  * add test for rwt tools (#110 <https://github.com/tork-a/visualization_rwt/issues/110>)
  * Contributors: Kei Okada

 -- Yug Ajmera <yugajmera@gmail.com>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-rwt-nav (0.0.5-1focal) focal; urgency=high



 -- Yug Ajmera <yugajmera@gmail.com>  Thu, 11 Mar 2021 15:00:00 -0000

ros-noetic-rwt-nav (0.0.4-1focal) focal; urgency=high

  * add rwt_nav package (#96 <https://github.com/tork-a/visualization_rwt//issues/96>)
  * Contributors: Kei Okada, Shingo Kitagawa, Yug Ajmera

 -- Yug Ajmera <yugajmera@gmail.com>  Mon, 08 Mar 2021 15:00:00 -0000

ros-noetic-rwt-nav (0.0.3-1focal) focal; urgency=high



 -- Yug Ajmera <yugajmera@gmail.com>  Sat, 01 Oct 2016 06:52:00 -0000

ros-noetic-rwt-nav (0.0.2-1focal) focal; urgency=high



 -- Yug Ajmera <yugajmera@gmail.com>  Sat, 01 Oct 2016 06:20:00 -0000

=== debian/control ===
Source: ros-noetic-rwt-nav
Section: misc
Priority: optional
Maintainer: Yug Ajmera <yugajmera@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-image-publisher <!nocheck>, ros-noetic-map-server <!nocheck>, ros-noetic-move-base-msgs <!nocheck>, ros-noetic-rosbridge-server, ros-noetic-roscpp, ros-noetic-roslaunch <!nocheck>, ros-noetic-rostest <!nocheck>, ros-noetic-roswww, ros-noetic-rviz <!nocheck>, ros-noetic-rwt-utils-3rdparty, ros-noetic-tf, ros-noetic-web-video-server
Homepage: http://wiki.ros.org/rwt_nav
Standards-Version: 3.9.2

Package: ros-noetic-rwt-nav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-rosbridge-server, ros-noetic-roscpp, ros-noetic-roswww, ros-noetic-rwt-utils-3rdparty, ros-noetic-tf, ros-noetic-web-video-server
Description: The rwt_nav package

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
